#MIN_CONFIG(3.1)

AM_INIT_AUTOMAKE(kmess,1.4.3)

dnl CXXFLAGS="$NOOPT_CXXFLAGS" dnl __kdevelop[noopt]__
dnl CFLAGS="$NOOPT_CFLAGS" dnl __kdevelop[noopt]__
dnl CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS" dnl __kdevelop[exc]__

dnl KDE_NEED_FLEX dnl __kdevelop__
dnl AC_PROG_YACC dnl __kdevelop__


dnl ---- Additional KMess options ----

# The syntax is: AC_ARG_ENABLE(flagname, description, if-user-desides, if-user-ignores)
AC_ARG_ENABLE(debug-output,
			 [  --enable-debug-output   enable debugging output.  [default=no]],
			 [ enable_debug_output="$enableval" ],
			 [ enable_debug_output="no"         ] )


# -- Check for Debug build messages ---------------------------------
  
if test "x$enable_debug_output" = "xyes" ; then
  AC_WARN(Creating debug build. This has serious implications in the performance of KMess)
  AC_DEFINE_UNQUOTED(KMESS_DEBUG, 1, [output debug?])
else
  AC_DEFINE_UNQUOTED(KMESS_DEBUG, 0, [output debug?])
fi

